<?php
wp_enqueue_style('tc-knjige-slider-style', plugins_url( '/css/style.css', __FILE__ ), array(), '1.1.4' );
global $wp_query;
global $post;
$settings = $this->get_settings_for_display();

?>
<script type="text/javascript">

jQuery(document).ready(function () {
  //initialize swiper when document ready
  var mySwiper = new Swiper ('.poudarjenje-knjige', {
    // Optional parameters
    direction: 'horizontal',
    loop: true, 
    
	slidesPerView: 'auto',
	centeredSlides: false,
    
    a11y: true,
    keyboardControl: true,
    grabCursor: true,
    
    // pagination
    pagination: '.swiper-pagination',
    paginationClickable: true,
	breakpoints: {
		// when window width is >= 320px
		320: {
		  slidesPerView: 1,
		  spaceBetween: 20
		},
		// when window width is >= 480px
		768: {
		  slidesPerView: 3,
		  spaceBetween: 30
		},
		// when window width is >= 992px
		992: {
		  slidesPerView: 5,
		  spaceBetween: 40
		},
		1200: {
		  slidesPerView: 6,
		  spaceBetween: 30
		}
	  },

	navigation: {
      nextEl: '.swiper-button-next',
      prevEl: '.swiper-button-prev',
    },
  })
});

</script>

<?php

$posts_per_page = $settings['slider_posts_per_page']; 
$slider_knjige_zvrsti = $settings['slider_knjige_zvrsti']; 

$tax_query = null;
if(!empty($slider_knjige_zvrsti)){
	$tax_query = [];
	$tax_query["taxonomy"] = "zvrsti-knjig";
	$tax_query["field"] = "term_id";
	$tax_query["terms"] = $slider_knjige_zvrsti;
}

$args = array(    
	'paged' => 1,
	'post_type' => 'knjige',
	'posts_per_page' => $posts_per_page,
	'order' => 'DESC',
	'tax_query' => array($tax_query)

);
$wp_query = new WP_Query($args);
?>
<div class="lunchbox">
	<div class="swiper-container poudarjenje-knjige" style="padding-top:50px;">
		<div class="swiper-wrapper">		
		<?php while ($wp_query -> have_posts()): $wp_query -> the_post();  ?> 	

				<div class="swiper-slide" >
					<div class="item-media">
						<?php if (!empty(get_field("knjiga_povezava_cobiss"))) : ?>
							<a target="_blank" href="<?php echo get_field("knjiga_povezava_cobiss"); ?>" aria-hidden="true" tabindex="-1"><img src="<?php echo get_the_post_thumbnail_url(get_the_ID(),'post-thumbnail-book-s'); ?>" alt="<?php echo __('Naslovnica knjige:', 'knjiznice').' '.get_the_title(); ?>" /></a>
						<?php elseif (!empty(get_field("knjiga_povezava_dobreknjige"))): ?>
							<a target="_blank" href="<?php echo get_field("knjiga_povezava_dobreknjige"); ?>" aria-hidden="true" tabindex="-1"><img src="<?php echo get_the_post_thumbnail_url(get_the_ID(),'post-thumbnail-book-s'); ?>" alt="<?php echo __('Naslovnica knjige:', 'knjiznice').' '.get_the_title(); ?>" /></a>
						<?php else: ?>
							<img src="<?php echo get_the_post_thumbnail_url(get_the_ID(),'post-thumbnail-book-s'); ?>" alt="<?php echo __('Naslovnica knjige:', 'knjiznice').' '.get_the_title(); ?>" />
						<?php endif; ?>
					</div>
					<div class="item-data">
						<?php if (!empty(get_field("knjiga_povezava_cobiss"))) : ?>
							<h4><a target="_blank" href="<?php echo get_field("knjiga_povezava_cobiss"); ?>"><?php echo get_the_title(); ?></a></h4>
						<?php elseif (!empty(get_field("knjiga_povezava_dobreknjige"))): ?>
							<h4><a target="_blank" href="<?php echo get_field("knjiga_povezava_dobreknjige"); ?>"><?php echo get_the_title(); ?></a></h4>
						<?php else: ?>
							<h4><a target="_blank" href="#"><?php echo get_the_title(); ?></a></h4>
						<?php endif; ?>
					</div>
				</div>
		<?php endwhile; ?>
		<?php 
			// Restore original post data.
			wp_reset_postdata(); 
			wp_reset_query();
		?>
	  </div>
	        <!-- pagination -->
      <div class="swiper-pagination"></div>
	</div>
	<div class="swiper-button-prev swiper-button-white"></div>
	<div class="swiper-button-next swiper-button-white"></div>
</div>
