<?php
get_header();
?>

<?php 
$weekdays = array('nedelja', 'ponedeljek', 'torek', 'sreda', 'cetrtek', 'petek', 'sobota');
$weekdaysCap = array(__('Nedelja', 'knjiznice'), __('Ponedeljek', 'knjiznice'), __('Torek', 'knjiznice'), __('Sreda', 'knjiznice'), __('Četrtek', 'knjiznice'), __('Petek', 'knjiznice'), __('Sobota', 'knjiznice'));
$holidays = array();
$holidays[] = date('Y-m-d', easter_date()+(3600*get_option('gmt_offset')));
$holidays[] = date('Y-m-d', easter_date()+86400+(3600*get_option('gmt_offset')));
$holidays[] = date('Y').'-01-01';
$holidays[] = date('Y').'-01-02';
$holidays[] = date('Y').'-02-08';
$holidays[] = date('Y').'-04-27';
$holidays[] = date('Y').'-05-01';
$holidays[] = date('Y').'-05-02';
$holidays[] = date('Y').'-06-25';
$holidays[] = date('Y').'-08-15';
$holidays[] = date('Y').'-10-31';
$holidays[] = date('Y').'-11-01';
$holidays[] = date('Y').'-12-25';
$holidays[] = date('Y').'-12-26';

$today = date('Y-m-d', time() + (3600*get_option('gmt_offset')));
$weekday = (int) date('w', time() + (3600*get_option('gmt_offset')));
$isHolidayToday = false;

foreach ($holidays as $holiday) {
	if ($holiday == $today) $isHolidayToday = true;
}

$units = new stdClass;
$units->closed = array();
$units->delay = array();
$units->open = array();
$units->biblio = array();
?>

<main class="site-main">
	<div class="breadcrumbs">
		<div class="breadcrumbs-inner container">
			<div class="row">
				<div class="col-12">
					<span class="pretext"><?php echo __('Nahajate se:', 'knjiznice'); ?></span> <?php bcn_display(); ?>
				</div>
			</div>
		</div>
	</div>

	<div class="content-map">
		<div class="enote-list">
			<h1><?php echo __('Seznam enot in oddelkov', 'knjiznice'); ?></h1>
			<?php 
			if (have_posts()) :
				while (have_posts()) :
					the_post(); ?>
					
					<?php 
					if (get_field('enota_vrsta') == 'Bibliobus') {
						$i = 0;
						if (!empty(get_field('enota_datoteka_kml')) && file_exists(get_home_path().get_field('enota_datoteka_kml'))) {
							$xml = simplexml_load_file(get_home_path().get_field('enota_datoteka_kml'));
							$placemarks = $xml->Document->Folder->Placemark;
							foreach ($placemarks as $placemark) : 
							ob_start();
							?>
								<div class="enota kml" idreference="<?php echo get_the_ID(); ?>_<?php echo $i ?>">
									<div class="enota-details">
										<?php $coordinates = explode(',', (string) $placemark->Point->coordinates); ?>
										<input class="enota-location-map" type="hidden" lat="<?php echo trim($coordinates[1]); ?>" lng="<?php echo trim($coordinates[0]); ?>" title="<?php echo (string) $placemark->name; ?>" idmarkercontent="markercontent<?php echo get_the_ID(); ?>_<?php echo $i ?>" markercolor="biblio" />
										<div style="display:none;" id="markercontent<?php echo get_the_ID(); ?>_<?php echo $i ?>">
											<div class="enota-infowindow-content">
												<h4><?php echo (string) $placemark->name; ?></h4>
												<?php echo (string) $placemark->description; ?>
											</div>
										</div>

										<h4><a href="#"><?php echo (string) $placemark->name; ?></a></h4>
									</div>
								</div>
						<?php 
								$i++;
								$units->biblio[(string) $placemark->name] = ob_get_clean();
							endforeach;
						}
						continue;
					}
					
					?>
					
					<?php
						$poletni = '';
						if (!empty(get_field("enota_je_poletni"))) {
							if ($today >= get_field("odpiralni_cas_poletni_enota_veljavnost_od") && $today <= get_field("odpiralni_cas_poletni_enota_veljavnost_do"))
								$poletni = '_poletni';
						}
						
						$isOpenOnHoliday = !empty(get_field('odpiralni_cas'.$poletni.'_enota_prazniki'));
						$openhourslist = array();
						
						for ($i = 0; $i<count($weekdays); $i++) {
							$openstatus = (bool) get_field('odpiralni_cas'.$poletni.'_enota_'.$weekdays[$i].'_odprto');
							$openhours = new stdClass;
							$openhours->day = $weekdaysCap[$i];
							$openhours->open = '';
							$openhours->close = '';
							$openhours->isOpen = false;
							$openhours->isHoliday = false;
							$openhours->today = false;
							if ($openstatus === true) {
								$openhours->open = get_field('odpiralni_cas'.$poletni.'_enota_'.$weekdays[$i].'_od');
								$openhours->close = get_field('odpiralni_cas'.$poletni.'_enota_'.$weekdays[$i].'_do');
								$openhours->isOpen = true;
							}
							
							if ($i === $weekday) $openhours->today = true;
							if ($i > $weekday) {
								$next_day = date('Y-m-d', time() + (($i - $weekday) * 86400) + (3600*get_option('gmt_offset')));
								foreach ($holidays as $holiday) {
									if ($holiday == $next_day) $openhours->isHoliday = true;
								} 
							}
							$openhourslist[] = $openhours;
						}
						
						$openstatustoday = (bool) get_field('odpiralni_cas'.$poletni.'_enota_'.$weekdays[$weekday].'_odprto');
						$currentstatus = '<span class="closed">'.__('Zaprto', 'knjiznice').'</span>';
						$currentstatus_php = 0;
						$marker_color = array('red', 'orange', 'green');
						if ($openstatustoday === true) {
							$currenttime = date('H:i:s', time() + (3600*get_option('gmt_offset')));
							$opentime = get_field('odpiralni_cas'.$poletni.'_enota_'.$weekdays[$weekday].'_od');
							$closetime = get_field('odpiralni_cas'.$poletni.'_enota_'.$weekdays[$weekday].'_do');
							
							if ($currenttime >= $opentime && $currenttime <= $closetime) {
								$currentstatus = '<span class="open">'.__('Odprto', 'knjiznice').'</span>';
								$currentstatus_php = 2;
							} 
							if ((strtotime($opentime) - strtotime($currenttime)) < 3600 && (strtotime($opentime) - strtotime($currenttime)) > 0) {
								$currentstatus = '<span class="delay">'.__('Kmalu se odpre', 'knjiznice').'</span>';
								$currentstatus_php = 1;
							} else if ((strtotime($closetime) - strtotime($currenttime)) < 3600 && (strtotime($closetime) - strtotime($currenttime)) > 0) {
								$currentstatus = '<span class="delay">'.__('Kmalu se zapre', 'knjiznice').'</span>';
								$currentstatus_php = 1;
							}
							
							if ($isHolidayToday === true && $isOpenOnHoliday === false) {
								$currentstatus = '<span class="closed">' . __('Zaprto', 'knjiznice') . ' (' . __('Praznik', 'knjiznice') . ')</span>';
								$currentstatus_php = 0;
							}
						}
						
						$openhourslist[] = array_shift($openhourslist);
						ob_start();
					?>
					
					<div class="enota" idreference="<?php echo get_the_ID(); ?>">
						<div class="enota-thumb">
							<?php knjiznice_post_thumbnail('thumbnail'); ?>
						</div>
						<div class="enota-details">
							<?php if (!empty(get_field("enota_lokacija")) && !empty(get_field("enota_lokacija")["lat"])) : ?>
								<input class="enota-location-map" type="hidden" lat="<?php echo get_field("enota_lokacija")["lat"]; ?>" lng="<?php echo get_field("enota_lokacija")["lng"]; ?>" title="<?php the_title(); ?>" idmarkercontent="markercontent<?php echo get_the_ID(); ?>" markercolor="<?php echo $marker_color[$currentstatus_php]; ?>" />
								<div style="display:none;" id="markercontent<?php echo get_the_ID(); ?>">
									<div><?php knjiznice_post_thumbnail('medium-crop'); ?></div>
									<div class="enota-infowindow-content">
										<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
										<?php if (!empty(get_field("enota_naslov"))) : ?>
											<div><?php echo get_field('enota_naslov'); ?></div>
										<?php endif; ?>
										<div class="currenthours"><strong><?php echo __('Odpiralni čas:', 'knjiznice'); ?> <?php echo $currentstatus; ?></strong></div>
										<div><a href="<?php the_permalink(); ?>"><?php echo __('Poglej podrobnosti', 'knjiznice'); ?></a></div>
									</div>
								</div>
							<?php endif; ?>
							<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
							<div class="enota-details-inner">
							<?php if (!empty(get_field("enota_naslov"))) : ?>
								<div><?php echo get_field('enota_naslov'); ?></div>
							<?php endif; ?>
							</div>
							
							<div class="openhours">
								<div class="currenthours"><strong><?php echo __('Odpiralni čas:', 'knjiznice'); ?> <?php echo $currentstatus; ?> <i class="fa fa-angle-down" aria-hidden="true"></i></strong></div>
								<div class="openhourslist">
									<table>
									<?php foreach ($openhourslist as $openhours) : ?>
										<tr class="<?php echo $openhours->today === true ? 'istoday':''; ?>">
											<td><?php echo $openhours->day; ?></td>
											<?php if ($openhours->isOpen === true): ?>
												<?php if (($openhours->isHoliday === true && $isOpenOnHoliday === false) || ($isHolidayToday === true && $openhours->today === true && $isOpenOnHoliday === false)): ?>
													<td><?php echo __('Zaprto', 'knjiznice'); ?> (<?php echo __('Praznik', 'knjiznice'); ?>)</td>
												<?php else: ?>
													<td><?php echo $openhours->open; ?> - <?php echo $openhours->close; ?></td>
												<?php endif; ?>
											<?php else: ?>
												<td><?php echo __('Zaprto', 'knjiznice'); ?></td>
											<?php endif; ?>
										</tr>
									<?php endforeach; ?>
									</table>
								</div>
							</div>
						</div>
					</div>
					<?php 
					if ($currentstatus_php === 0) $units->closed[] = ob_get_clean();
					if ($currentstatus_php === 1) $units->delay[] = ob_get_clean();
					if ($currentstatus_php === 2) $units->open[] = ob_get_clean();
				endwhile; 
			endif;
			foreach ($units->open as $unit) echo $unit;
			foreach ($units->delay as $unit) echo $unit;
			foreach ($units->closed as $unit) echo $unit;
			ksort($units->biblio);
			foreach ($units->biblio as $unit) echo $unit;
			?>
		</div>
		<div id="enote-gmap"></div>
		<div class="toggle-map" onclick="enoteToggleMap();"><button>ZEMLJEVID</button></div>
	</div>
</main>
<?php 
get_footer(); ?>
