<?php
/**
 * Knjiznice functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Knjiznice
 */
 
require_once get_template_directory() . '/inc/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'knjiznice_register_required_plugins' );

function knjiznice_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// This is an example of how to include a plugin bundled with a theme.
		array(
			'name'               => 'Knjižnice: Vtičnik dogodki', // The plugin name.
			'slug'               => 'knjiznice-dogodki', // The plugin slug (typically the folder name).
			'source'             => get_template_directory() . '/lib/plugins/knjiznice-dogodki.zip', // The plugin source.
			'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Knjižnice: Slider', // The plugin name.
			'slug'               => 'knjiznice-slider', // The plugin slug (typically the folder name).
			'source'             => get_template_directory() . '/lib/plugins/knjiznice-slider.zip', // The plugin source.
			'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Knjižnice: Vtičnik enote', // The plugin name.
			'slug'               => 'knjiznice-enote', // The plugin slug (typically the folder name).
			'source'             => get_template_directory() . '/lib/plugins/knjiznice-enote.zip', // The plugin source.
			'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Knjižnice: Vtičnik knjige', // The plugin name.
			'slug'               => 'knjiznice-knjige', // The plugin slug (typically the folder name).
			'source'             => get_template_directory() . '/lib/plugins/knjiznice-knjige.zip', // The plugin source.
			'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Knjižnice: Gradnik COBISS', // The plugin name.
			'slug'               => 'cobiss-search', // The plugin slug (typically the folder name).
			'source'             => get_template_directory() . '/lib/plugins/cobiss-search.zip', // The plugin source.
			'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		// This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
			'name'      => 'Contact Form 7',
			'slug'      => 'contact-form-7',
			'required'  => true,
		),
		array(
			'name'      => 'Contact Form 7 - Dynamic Text Extension',
			'slug'      => 'contact-form-7-dynamic-text-extension',
			'required'  => true,
		),
		array(
			'name'      => 'Contact Form 7 Conditional Fields',
			'slug'      => 'cf7-conditional-fields',
			'required'  => true,
		),
		array(
			'name'      => 'Breadcrumb NavXT',
			'slug'      => 'breadcrumb-navxt',
			'required'  => true,
		),
		array(
			'name'      => 'Advanced Custom Fields',
			'slug'      => 'advanced-custom-fields',
			'required'  => true,
		),
		array(
			'name'      => 'Elementor',
			'slug'      => 'elementor',
			'required'  => true,
		),
		array(
			'name'      => 'Classic Editor',
			'slug'      => 'classic-editor',
			'required'  => true,
		),
		array(
			'name'      => 'TinyMCE Advanced',
			'slug'      => 'tinymce-advanced',
			'required'  => false,
		),
		array(
			'name'      => 'WP Social Comments',
			'slug'      => 'gs-facebook-comments',
			'required'  => false,
		),
		array(
			'name'      => 'WP-Polls',
			'slug'      => 'wp-polls',
			'required'  => false,
		),
		array(
			'name'      => 'Advanced Page Visit Counter',
			'slug'      => 'advanced-page-visit-counter',
			'required'  => false,
		),


	);

		/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'knjiznice',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}

if ( ! function_exists( 'knjiznice_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function knjiznice_setup() {
		/*
		 * Make theme available for translation.
		 * Translations can be filed in the /languages/ directory.
		 * If you're building a theme based on Knjiznice, use a find and replace
		 * to change 'knjiznice' to the name of your theme in all the template files.
		 */
		load_theme_textdomain( 'knjiznice', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );

		// This theme uses wp_nav_menu() in one location.
		register_nav_menus( array(
			'menu-main' => esc_html__( 'Glavni meni', 'knjiznice' ),
			'menu-top' => esc_html__( 'Zgornji meni', 'knjiznice' ),
			'menu-bottom' => esc_html__( 'Spodnji meni', 'knjiznice' ),
		) );

		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		// Set up the WordPress core custom background feature.
		add_theme_support( 'custom-background', apply_filters( 'knjiznice_custom_background_args', array(
			'default-color' => 'ffffff',
			'default-image' => '',
		) ) );

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support( 'custom-logo', array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		) );
	}
endif;
add_action( 'after_setup_theme', 'knjiznice_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function knjiznice_content_width() {
	// This variable is intended to be overruled from themes.
	// Open WPCS issue: {@link https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards/issues/1043}.
	// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound
	$GLOBALS['content_width'] = apply_filters( 'knjiznice_content_width', 730 );
}
add_action( 'after_setup_theme', 'knjiznice_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function knjiznice_register_widgets_positions() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar Osnovni', 'knjiznice'),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	));
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar Blog', 'knjiznice'),
		'id'            => 'sidebar-2',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	));
	
	register_sidebar( array(
			'name'          => esc_html__( 'Sidebar Dogodki', 'knjiznice'),
			'id'            => 'sidebar-3',
			'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		));
	register_sidebar( array(
			'name'          => esc_html__( 'Sidebar Knjige', 'knjiznice'),
			'id'            => 'sidebar-4',
			'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		));
	register_sidebar( array(
		'name'          => esc_html__( 'Search', 'knjiznice'),
		'id'            => 'search',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<span style="display:none;">',
		'after_title'   => '</span>',
	));
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 1', 'knjiznice'),
		'id'            => 'footer-1',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="footer-title">',
		'after_title'   => '</h4>',
	));
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 2', 'knjiznice'),
		'id'            => 'footer-2',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="footer-title">',
		'after_title'   => '</h4>',
	));
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 3', 'knjiznice'),
		'id'            => 'footer-3',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="footer-title">',
		'after_title'   => '</h4>',
	));
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 4', 'knjiznice'),
		'id'            => 'footer-4',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="footer-title">',
		'after_title'   => '</h4>',
	));
	
	register_sidebar( array(
		'name'          => esc_html__( 'Copyright', 'knjiznice'),
		'id'            => 'copyright',
		'description'   => esc_html__( 'Dodaj gradnike tukaj.', 'knjiznice'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<span style="display:none;">',
		'after_title'   => '</span>',
	));
}
add_action( 'widgets_init', 'knjiznice_register_widgets_positions' );

/**
 * Enqueue scripts and styles.
 */
function knjiznice_template_add_scripts() {
	wp_enqueue_style( 'bootstrap-style', get_template_directory_uri() . '/bootstrap/css/bootstrap.min.css', array(), '1.0');
	wp_enqueue_script( 'bootstrap-js' , get_template_directory_uri() . '/bootstrap/js/bootstrap.bundle.min.js', array('jquery'), '1.0');
	wp_enqueue_style( 'fonts-roboto' , 'https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,500,500i,700,700i&display=swap&subset=latin-ext', array(), '1.0');
	wp_enqueue_style( 'fonts-opensans' , 'https://fonts.googleapis.com/css?family=Open+Sans:400,400i,600,600i,700,700i&display=swap&subset=latin-ext', array(), '1.0');
	wp_enqueue_style( 'fonts-oswald' , 'https://fonts.googleapis.com/css?family=Oswald:300,400,500,600&display=swap&subset=latin-ext', array(), '1.0');
	wp_enqueue_style( 'fonts-quicksand' , 'https://fonts.googleapis.com/css?family=Quicksand:400,500,600&display=swap&subset=latin-ext', array(), '1.0');
	wp_enqueue_style( 'fonts-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '1.0');
	//wp_enqueue_style( 'fonts-awesome', 'https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', array(), '1.0');
	
	wp_enqueue_style( 'knjiznice-style', get_template_directory_uri().'/style.css', array(), '1.3.3');
	wp_enqueue_style( 'knjiznice-style-template', get_template_directory_uri() . '/css/template.css', array(), '1.3.3');
	wp_enqueue_style( 'knjiznice-style-template-access', get_template_directory_uri() . '/css/accessibility.css', array(), '1.3.3');
	wp_enqueue_script( 'knjiznice-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '1.0', true );
	wp_enqueue_script( 'knjiznice-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '1.0', true );
	if (is_singular() && comments_open() && get_option( 'thread_comments' )) {
		wp_enqueue_script( 'comment-reply' );
	}
	wp_enqueue_script('knjiznice-gmaps', 'https://maps.googleapis.com/maps/api/js?key='.get_theme_mod('knjiznice_google_api_key', '').'&libraries=places&language=sl_SI', 5);
	wp_enqueue_script( 'custom-script-js' , get_template_directory_uri() . '/js/script.js', array('jquery'), '1.3.3');
	wp_enqueue_script( 'custom-access-script-js' , get_template_directory_uri() . '/js/accessibility.js', array('jquery'), '1.3.3');
	
	/// disable smooth scroll
	wp_add_inline_script( 'elementor-frontend', "jQuery(window).on('elementor/frontend/init',function(){if(typeof elementorFrontend==='undefined'){return}elementorFrontend.on('components:init',function(){elementorFrontend.utils.anchors.setSettings('selectors.targets','.dummy-selector')})});" );

}
add_action( 'wp_enqueue_scripts', 'knjiznice_template_add_scripts' );

function custom_excerpt_length( $length ) {
	return 30;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

add_image_size( 'post-thumbnail', 600, 400, true);
add_image_size( 'post-thumbnail-book', 400, 600, true);
add_image_size( 'post-thumbnail-book-s', 230, 345, true);
add_image_size( 'post-thumbnail-book-s2', 150, 225, true);
add_image_size( 'medium-crop', 300, 200, true);
add_image_size( 'medium-large-crop', 500, 330, true);
add_image_size( 'post-knjiznice-enote-full', 830, 0, false);
add_image_size( 'post-knjiznice-full', 940, 0, false);


function theme_get_customizer_css() {
    ob_start();

    $main_color = get_theme_mod('main_color', '');
    $text_color = get_theme_mod('text_color', '');
    $inverse_color = get_theme_mod('inverse_color', '');
	if (!empty($main_color)): ?>
		a, a:focus, a:link, a:visited {color: <?php echo $main_color; ?>;}
		.navigation-container-mobile a, .navigation-container-mobile a:focus, .navigation-container-mobile a:link, .navigation-container-mobile a:visited {color: white;}		
		.btn-primary {background-color: <?php echo $main_color; ?>; border-color:<?php echo $main_color; ?>; }

		footer .footer-top {background-color: <?php echo $main_color; ?>;}
		table .thead-dark th {background-color: <?php echo $main_color; ?>; border-color: <?php echo $main_color; ?>;}		
		/*ul#menu-main a:hover {background:<?php echo $main_color; ?>;}*/
		/*ul#menu-main a:hover {color:<?php echo $main_color; ?>;}*/
		.navigation-container {background:<?php echo $main_color; ?>;} 
		/*ul#menu-main li.current-menu-item > a, ul#menu-main li.current-menu-parent > a {background:<?php echo $main_color; ?>;}*/
		/* ul#menu-main li.current-menu-item > a, ul#menu-main li.current-menu-parent > a {color:<?php echo $main_color; ?>;} */
		ul#menu-main ul li > a:hover, ul#menu-main ul li.current-menu-item > a, ul#menu-main ul li.current-menu-parent > a  {color:<?php echo $main_color; ?>;}
		button,input[type="button"],input[type="reset"],input[type="submit"] {background:<?php echo $main_color; ?>;}
		aside h2::after {background:<?php echo $main_color; ?>;}
		/*aside h2 {background:<?php echo $main_color; ?>;}*/
		/*.archive .entry-meta .entry-meta-inner {background:<?php echo $main_color; ?>;}*/
		/*.archive .entry-meta, .blog .entry-image {border-color:<?php echo $main_color; ?>;}*/
		.articles article .container-fluid > .row > div:first-child {border-color:<?php echo $main_color; ?>;}
		.knjiznice-ikone-home .elementor-icon-box-wrapper:hover .elementor-icon, .knjiznice-ikone-home .elementor-icon-box-wrapper:hover .elementor-icon-box-title {color:<?php echo $main_color; ?>;}
		.knjiznice-ikone-home .elementor-icon-box-wrapper:hover .elementor-icon {border-color:<?php echo $main_color; ?>}
		#dogodki-home .entry-meta .entry-meta-inner {border-color:<?php echo $main_color; ?>}
		div.zabuto_calendar .table tr td.event div.day, div.zabuto_calendar ul.legend li.event {background-color:<?php echo $main_color; ?>}
		.widget_knjiznice_widget_kategorijedogodkov ul li.current a, .widget_knjiznice_widget_zvrstiknjig ul li.current a  {color:<?php echo $main_color; ?>; }
		a:focus, input:focus, select:focus, button:focus, .currenthours:focus, div[role="button"]:focus, div[role="link"]:focus, textarea:focus {outline-color:<?php echo $main_color; ?>; }
		#secondary .menu li > a:hover, #secondary .menu .current-menu-item > a {color:<?php echo $main_color; ?>; }
		.logo-search-container {border-color:<?php echo $main_color; ?>; }
		.single-enote .openhours.active table .istoday td {background-color: <?php echo $main_color; ?>;}
		.wp-polls .Buttons {background-color: <?php echo $main_color; ?>;}
		.content-main h1 {color: <?php echo $main_color; ?>;}
		.screen-reader-text:focus {background:<?php echo $main_color; ?>; }
		#menu-main ul a {outline-color:<?php echo $main_color; ?>; }
		
	<?php endif;
	
	if (!empty($text_color)): ?>
		body {color: <?php echo $text_color; ?>;}
		aside ul a, aside ol a, aside ul a:link, aside ol a:link, aside ul a:focus, aside ol a:focus, aside ul a:visited, aside ol a:visited {color: <?php echo $text_color; ?>;}
		footer .menu {color: <?php echo $text_color; ?>;}
		footer .menu li a, footer .menu li a:link, footer .menu li a:focus, footer .menu li a:visited {color: <?php echo $text_color; ?>;}
		footer table.footer-table a, footer table.footer-table a:link, footer table.footer-table a:focus, footer table.footer-table a:visited {color: <?php echo $text_color; ?>;}

	<?php endif;
	if (!empty($main_color)): ?>
		footer .menu li a:hover, footer table.footer-table a:hover {color: <?php echo $main_color; ?>}
		aside ul a:hover, aside ol a:hover {color: <?php echo $main_color; ?>}
		
	<?php endif;
	
	if (!empty($inverse_color)): ?>
		main header, main header a, main header a:link, main header a:focus, main header a:visited {color: <?php echo $inverse_color; ?>;}
		/*ul#menu-main a:hover {color:<?php echo $inverse_color; ?>;}*/
		/*ul#menu-main ul a:hover, ul#menu-main ul li.current-menu-item a, ul#menu-main ul li.current-menu-parent a  {color:<?php echo $main_color; ?>;}*/
		button,input[type="button"],input[type="reset"],input[type="submit"] {color:<?php echo $inverse_color; ?>;}
		/*aside h2 {color:<?php echo $inverse_color; ?>;}*/
		/*.archive .entry-meta .entry-meta-inner {color:<?php echo $inverse_color; ?>;}*/
		div.zabuto_calendar .table tr td.event div.day, div.zabuto_calendar ul.legend li.event {color:<?php echo $inverse_color; ?>}
		.single-enote .openhours.active table .istoday td {color: <?php echo $inverse_color; ?>;}
		.wp-polls .Buttons {color: <?php echo $inverse_color; ?>;}
		.screen-reader-text:focus {color:<?php echo $inverse_color; ?>; }
		#menu-main > li > a {outline-color:<?php echo $inverse_color; ?>;}
	<?php endif; ?>
		.accessibility-module a:focus, .accessibility-module input:focus, .accessibility-module button:focus {
			outline-color:#fff !important;
		}
    <?php 
	$css = ob_get_clean();
    return $css;
}

function knjiznice_add_custom_css() {
	$custom_css = theme_get_customizer_css();
	echo '<style type="text/css">'.$custom_css.'</style>';
}
add_action('wp_head', 'knjiznice_add_custom_css', 10);


function add_accessebility_custom_styles() {
	$colortheme = !empty($_COOKIE["colortheme"]) ? $_COOKIE["colortheme"] : 'theme0';
	$fontstyle = !empty($_COOKIE["fontstyle"]) ? $_COOKIE["fontstyle"] : 'font0';
	$fontsize = !empty($_COOKIE["fontsize"]) ? $_COOKIE["fontsize"] : 'size0';
	switch ($colortheme) {
		case 'theme1': 
			wp_enqueue_style('theme1', get_template_directory_uri().'/css/theme1.css', false); 
			break;
		case 'theme2': 
			wp_enqueue_style('theme2', get_template_directory_uri().'/css/theme2.css', false); 
			break;
		case 'theme3': 
			wp_enqueue_style('theme3', get_template_directory_uri().'/css/theme3.css', false); 
			break;
		case 'theme4': 
			wp_enqueue_style('theme4', get_template_directory_uri().'/css/theme4.css', false); 
			break;
		case 'theme5': 
			wp_enqueue_style('theme5', get_template_directory_uri().'/css/theme5.css', false); 
			break;
	}
	
	switch ($fontstyle) {
		case 'font1': 
			wp_enqueue_style('font1', get_template_directory_uri().'/css/font1.css', false); 
			break;
		case 'font2': 
			wp_enqueue_style('font2', get_template_directory_uri().'/css/font2.css', false); 
			break;
		case 'font3': 
			wp_enqueue_style('font3', get_template_directory_uri().'/css/font3.css', false); 
			break;
		case 'font4': 
			wp_enqueue_style('font4', get_template_directory_uri().'/css/font4.css', false); 
			break;
		case 'font5': 
			wp_enqueue_style('font5', get_template_directory_uri().'/css/font5.css', false); 
			break;
	}
	
	switch ($fontsize) {
		case 'size1': 
			wp_enqueue_style('size1', get_template_directory_uri().'/css/size1.css', false); 
			break;
		case 'size2': 
			wp_enqueue_style('size2', get_template_directory_uri().'/css/size2.css', false); 
			break;
		case 'size3': 
			wp_enqueue_style('size3', get_template_directory_uri().'/css/size3.css', false); 
			break;
	}
}
add_action('wp_enqueue_scripts', 'add_accessebility_custom_styles', 20);

function knjiznice_acf_google_map_api($api) {
	$api['key'] = get_theme_mod('knjiznice_google_api_key', '');
	return $api;
}
add_filter('acf/fields/google_map/api', 'knjiznice_acf_google_map_api');

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

// custom widgets, post types
require get_template_directory() . '/inc/custom-widgets.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}
